@mixin disable {
  background: $white5;
  opacity: 0.5;
  border: 1px solid $rt-blue2;
}

.bp3-large {
  .bp3-button {
    border-radius: 6px;
  }
}
.bp3-small {
  .bp3-button {
padding: 0 8px;
  }
}
.bp3-button {
  border-radius: 4px;
  &.bp3-loading {
    & > :not(.bp3-button-spinner) {
      visibility: unset;
    }
    .bp3-button-spinner {
      left: 12px;
    }
  }
  &.bp3-outlined {
    border-radius: 4px;
    border: 1px solid $rt-blue2;
    &.bp3-intent-primary {
      border-color: $rt-blue2;
      color: $rt-blue2;
      &:hover {
        background: rgba($color: #00438f, $alpha: 0.3);
      }
    }
    &:disabled, &.bp3-disabled, &.bp3-disabled:hover, &:disabled:hover{
      @include disable();
    }
  }
  &.bp3-small {
    padding: 0 8px;
  }
  &.bp3-large {
    border-radius: 6px;
  }
  &:hover {
    border-radius: 4px;
  }
  &.no-text {
    padding: 4px 8px;
    &.bp3-large {
      padding: 8px 16px;
    }
  }
  &.has-icon {
    padding: 4px 12px;
    &.bp3-large {
      padding: 8px 16px;
      & > * {
        margin-right: 12px;
      }
      & :last-child {
        margin-right: 0;
      }
    }
  }
  &.align-load {
    &-left {
      .bp3-button-spinner {
        left: 10px;
      }
    }
    &-right {
      .bp3-button-spinner {
        right: 10px;
      }
    }
  }
  &.bp3-minimal {
    &.bp3-intent-primary, .bp3-icon{
      color: $rt-blue1;
    }
    &.bp3-intent-primary {
      &:hover {
        background-color: $minimal-button-background-color-hover;
        color: $rt-blue1;
      }
      &:active, &.bp3-active {
        background: $minimal-button-background-color-active;
        color: $rt-blue1;
      }
    }
  }
  &:focus {
    outline: none;
    outline-offset: 0;
  }
}
